# Draft a page that closes a gap

`POST /workspace/gaps/page` · Rivier · workspace

Draft a page that closes a gap.

- Scope: workspace:write
- Graphql: Mutation.workspaceGapPage
- Sdk: workspace.gap.page
- Cli: workspace gap page

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "topic": {
      "type": "string",
      "minLength": 1,
      "maxLength": 200
    }
  },
  "required": [
    "topic"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/workspace/gaps/page' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "topic": "string"
}'
```
